//
//
//

#pragma once

#include <Raym/Object.h>

namespace Raym
{

class FileHandle : public Object
{
private:
#ifdef _WIN32
    HANDLE  _handle;
#endif
    bool    _pipe;

protected:
    FileHandle();
    ~FileHandle();

public:
#ifdef _WIN32
    static FileHandle *fileHandleWithHANDLE(HANDLE h);
    HANDLE handle();
#endif
    bool isPipe();

    virtual const char *className();
};

} // Raym

